Package org.apache.felix.http.base.internal.runtime.dto

# Class RegistryRuntime

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.RegistryRuntime

public final class RegistryRuntime extends Object

## Constructor Summary

Constructors
Constructor
Description
`RegistryRuntime(FailedDTOHolder failedDTOHolder, Collection<org.osgi.service.servlet.runtime.dto.ServletContextDTO> contextDTOs, Collection<org.osgi.service.servlet.runtime.dto.PreprocessorDTO> preprocessorDTOs)`

## Method Summary

Modifier and Type
Method
Description
`FailedDTOHolder`
`getFailedDTOHolder()`
`Collection<org.osgi.service.servlet.runtime.dto.PreprocessorDTO>`
`getPreprocessorDTOs()`
`Collection<org.osgi.service.servlet.runtime.dto.ServletContextDTO>`
`getServletContextDTOs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryRuntime

public RegistryRuntime(FailedDTOHolder failedDTOHolder, Collection<org.osgi.service.servlet.runtime.dto.ServletContextDTO> contextDTOs, Collection<org.osgi.service.servlet.runtime.dto.PreprocessorDTO> preprocessorDTOs)

## Method Details

### getFailedDTOHolder

public FailedDTOHolder getFailedDTOHolder()

### getServletContextDTOs

public Collection<org.osgi.service.servlet.runtime.dto.ServletContextDTO> getServletContextDTOs()

### getPreprocessorDTOs

public Collection<org.osgi.service.servlet.runtime.dto.PreprocessorDTO> getPreprocessorDTOs()